html {
  height: 100%;
  overflow-y: scroll;

  scroll-snap-type: y mandatory;
}

body {
  margin: 0;
  padding: 0;
  background: black;
}

.hero,
.panel {
  height: 100vh;
  scroll-snap-align: start;
  scroll-snap-stop: always;
}

.hero,
.panel {
  height: 100vh;
  scroll-snap-align: start;
}

.panel img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
}
/* Hero全画面 */
.hero {
  position: relative;
  width: 100%;
}

/* スライドショー領域 */
.slideshow {
  position: absolute;
  width: 100%;
  height: 100%;
}

/* スライド画像 */
.slide {
  position: absolute;
  inset: 0;
  width: 100%;
  height: 100%;

  object-fit: cover;
  object-position: center;

  opacity: 0;
  transition: opacity 2s ease-in-out;
}

/* 表示中の画像 */
.slide.active {
  opacity: 1;
}

/* タイトル文字 */
.hero-title {
  position: absolute;
  top: 45%;
  left: 50%;
  transform: translate(-50%, -50%);

  font-size: clamp(38px, 6vw, 78px);
  font-weight: 300;
  letter-spacing: 0.18em;

  color: white;
  opacity: 0;

  animation: fadeInText 3s ease forwards;
  animation-delay: 1s;

  text-align: center;
  line-height: 1.15;
}

/* フェードイン */
@keyframes fadeInText {
  to {
    opacity: 1;
  }
}

/* 下の静止画パネル */
.panel {
  position: relative;
  width: 100%;
  overflow: hidden;
}

.panel img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
}

.hero-subtitle {
  position: absolute;
  top: calc(45% + 120px);
  left: 50%;
  transform: translateX(-50%);

  font-size: clamp(12px, 2vw, 18px);
  font-weight: 300;
  letter-spacing: 0.15em;

  color: rgba(255, 255, 255, 0.75);

  opacity: 0;
  animation: fadeInText 3s ease forwards;
  animation-delay: 2.3s;

  text-align: center;
  white-space: nowrap;
}

@media (max-width: 600px) {

  .hero-title {
    letter-spacing: 0.12em;
    font-size: 42px;
  }

  .hero-subtitle {
    top: calc(45% + 95px);
    font-size: 12px;
  }
}

.caption {
  position: absolute;
  bottom: 50px;
  left: 60px;

  font-size: 16px;
  font-weight: 300;
  letter-spacing: 0.12em;

  color: rgba(255, 255, 255, 0.85);

  background: rgba(0, 0, 0, 0.35);
  padding: 10px 18px;
  border-radius: 12px;

  backdrop-filter: blur(8px);
}

@media (max-width: 600px) {
  .caption {
    left: 20px;
    bottom: 25px;
    font-size: 13px;
    padding: 8px 14px;
  }
}